IntlCalendar::getSkippedWallTimeOption
IntlCalendar::getTimeZone
IntlCalendar
PHP Manual

# IntlCalendar::getTime

Get time currently represented by the object

### Description

Object oriented style

public float IntlCalendar::getTime ( void )

Procedural style

float intlcal_get_time ( IntlCalendar `$cal` )

Returns the time associated with this object, expressed as the number of milliseconds since the epoch.

### Parameters

`cal`

  The IntlCalendar resource.

### Return Values

A float representing the number of milliseconds elapsed since the reference time (1 Jan 1970 00:00:00 UTC).

### Examples

Example #1 IntlCalendar::getTime

`<?php
ini_set('date.timezone', 'Europe/Lisbon');
ini_set('intl.default_locale', 'en_US');
$cal = new IntlGregorianCalendar(2013, 4 /* May */, 1, 0, 0, 0);
$time = $cal->getTime();
var_dump($time, $time / 1000 == strtotime('2013-05-01 00:00:00')); //true`

The above example will output:

    float(1367362800000)
    bool(true)

### See Also

- IntlCalendar::getNow